{ pkgs, lib, ... }:
let
  profile = import ../profile.nix;
in
{

  imports = [
    ./file-system.nix
    ./media.nix
    ./security/keyring.nix
    ./printer.nix
  ];

  environment.systemPackages =
    with pkgs;
    [
      gnumake
      python3
    ]
    ++ lib.optionals profile.modules.development [
      cmake
      cmakeCurses

      # C/C++/Fortran tools
      gcc
      clang

      # Common C based dependencies
      eigen

      # Ada/+Spark & Rust tools
      alire
      gnat15
      gnat15Packages.gprbuild
      gnat15Packages.gpr2
      gnat15Packages.gnatprove
      gnat15Packages.gnatcoll-core
      gnat15Packages.gnatcoll-readline
      gnat15Packages.gnatcoll-python3
      gnat15Packages.gnatcoll-gmp
      rustc
      cargo
    ];

  environment.variables = {
  };

}
